/***************************************************************************
 *   Copyright (C) 2005 by Bernd Juraschek   *
 *   vdrmon@bjusystems.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kwindowsystem.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kaboutapplicationdialog.h>
#include <kstartupinfo.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include "kvdrmon.h"
#include "status.h"

static const char description[] =
    I18N_NOOP("VDR monitor application");

static const char version[] = "0.7";

int main(int /* argc */, char ** /* argv */)
{
/*	
    KAboutData aboutData("kvdrmon", I18N_NOOP("kvdrmon"), version, description,
                     KAboutData::License_GPL, "(C) 2005 Bernd Juraschek", 0, 0, "kvdrmon@bjusystems.de");
*/		     
    KAboutData aboutData(QByteArray("kvdrmon"), QByteArray("kvdrmon"), ki18n("kvdrmon"),
		         QByteArray("0.7"), ki18n("VDR monitor application"));
    aboutData.addAuthor(ki18n("Bernd Juraschek"), ki18n(""), QByteArray("kvdrmon@bjusystems.de"));
    KCmdLineArgs::init(&aboutData);

    KApplication app;

    QString baseDir = app.applicationDirPath() + "/../";

    status stat;
    kvdrmon mon(&stat, baseDir, &app);
    KAboutApplicationDialog aboutDlg(&aboutData);

    //KWindowSystem::setSystemTrayWindowFor(mon.winId(), 0);
    mon.show();

    KStartupInfo::appStarted();

    app.setQuitOnLastWindowClosed(false);

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

